Check a number
curl --request GET \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"phone_number_id": "100000000000001",
"waba_id": "200000000000001",
"payment": {
"method_linked": true,
"reason": "meta",
"error": null,
"detail": null,
"billing_url": ""
},
"can_send_message": "AVAILABLE",
"problems": [],
"token": {
"is_valid": true,
"scopes": [],
"expires_at": null,
"error": null
},
"subscribed_apps": [],
"phone": {},
"needs_registration": false,
"cached": false
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Tenants
Check a number
Checks the token, the webhook subscription, the registration and the sending state. The answer is kept for ten minutes. Needs the channels:read scope.
GET
/
api
/
v1
/
partner
/
tenants
/
{external_ref}
/
channels
/
whatsapp
/
numbers
/
{pnid}
/
health
/
Check a number
curl --request GET \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/whatsapp/numbers/{pnid}/health/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"phone_number_id": "100000000000001",
"waba_id": "200000000000001",
"payment": {
"method_linked": true,
"reason": "meta",
"error": null,
"detail": null,
"billing_url": ""
},
"can_send_message": "AVAILABLE",
"problems": [],
"token": {
"is_valid": true,
"scopes": [],
"expires_at": null,
"error": null
},
"subscribed_apps": [],
"phone": {},
"needs_registration": false,
"cached": false
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Query Parameters
Response
Success